{% extends "layout/layout.html.twig" %}


{% block title %}Home{% endblock %}

{% block navbar %}
    {% include 'elements/__navbar.html.twig' %}
{% endblock %}



{% block main %}
    <!-- MAIN SECTION-->
    <section id="main-section" class="row">

        <!--Slideshow-->
        <div id="slideshow" class="container">

            <div class="row">
                <!--Fil d'ariane-->
                <div class="breadcrumb">
                    <a href="#" class="ariane ariane_active " onclick="Slider.showSlide(1);">Bienvenue</a>
                    <a href="#" class="ariane"                onclick="Slider.showSlide(2);">La Carte</a>
                    <a href="#" class="ariane"                onclick="Slider.showSlide(3);">Choix de la station</a>
                    <a href="#" class="ariane"                onclick="Slider.showSlide(4);">Réservation</a>
                </div>

                <!-- Button Close Slideshow-->
                <button id="btn_close_slider" class="btn btn-xs btn-danger">
                    <i class="glyphicon glyphicon-remove-sign fa-2x"></i>
                </button>
            </div>

            <!--Slide container-->
            <div id="slide_container" >
                <!--SLIDER-1-->
                <figure id="slider-1" class="js-mySlides slide">
                    <img class="img-card" src="img/slider/velo-2.jpg" alt="Card image">
                    <figcaption class="text-container">
                        <h3 class="card-title">Bienvenue </h3>
                        <p class="text-card">
                            Véli Vélo est un service en ligne vous permetant d'effectuer des
                            réservations de velo.
                        </p>
                        <p class="text-card">
                            Des stations sont à disposition dans toute la ville de Lyon. Vous pouvez consulter la
                            situation des différentes stations (le nombre de vélo et d'emplacements disponibles)
                            directement à partir de l'application web.
                        </p>
                        <p class="text-card">
                            Vous pouvez retrouver à tout moment cette fenetre en cliquant dans le menu en haut de votre
                            écran.
                        </p>
                    </figcaption>
                </figure>
                <!--SLIDER-2-->
                <figure id="slider-2" class="js-mySlides slide">
                    <img class="img-card" src="img/carte-googlemap.png" alt="Card image">
                    <figcaption class="text-container">
                        <h3 class="card-title">La carte</h3>
                        <p class="text-card">
                            Le contrôle de la carte via les touches du clavier nécessite d'abord de
                            cliquer une fois sur la carte, afin de pouvoir zoomer et déplacer celle-ci via les touches
                            de votre clavier.
                        </p>
                        <p class="text-card">Liste des touches clavier utilisables :</p>
                        <ul>
                            <li>Touche + et - : Zoom avant et arrière,</li>
                            <li>Touche flechées : déplace la carte dans le sens indiqué par la touche
                                pressée,</li>
                        </ul>

                        <p class="text-card"></p>
                    </figcaption>
                </figure>
                <!--SLIDER-3-->
                <figure id="slider-3" class="js-mySlides slide">
                    <img class="img-card" src="img/slider/carte.png" alt="Card image">
                    <figcaption class="text-container">
                        <h3 class="card-title">Choix de la station</h3>
                        <p class="text-card">
                            Sélectionnez tout d'abord une station, en cliquant sur l'un des marqueur sur la carte.</p>
                        <p class="text-card">
                            Une petite fenêtre d'information s'ouvrira au-dessus du marqueur qui vous permettra de
                            vérifier la disponibilité des vélo et des places.
                        </p>
                        <p class="text-card">
                            Dès lorsque vous avez choisis votre station, il ne reste plus qu'à cliquer sur le bouton
                            "Effectuer une réservation".
                        </p>
                        <p class="text-card">Le panneau de réservation s'ouvrira sur votre droite.</p>
                    </figcaption>
                </figure>
                <!--SLIDER-4-->
                <figure id="slider-4" class="js-mySlides slide">
                    <img class="img-card" src="img/slider/signature.png" alt="Card image">
                    <figcaption class="text-container">
                        <h3 class="card-title">Réservation</h3>
                        <p class="text-card">Afin de procéder à la réservation d'un vélo, il vous suffit pour cela de
                            remplir le formulaire, en y inscrivant votre nom et prénom.
                        </p>
                        <p class="text-card">Et, afin de valider et confirmer voter réservation, il vous faudra
                            également apposez votre signature dans le cadre prévu à cette effet, à l'aide de la souris
                            ou, d'une tablette graphique, si vous en posséder une.
                        </p>
                        <p class="text-card">Votre réservation aura une durée maximale de 20 minutes effective dès
                            lorsque vous aurez cliquez sur le bouton de validation du formulaire.
                        </p>
                        <p class="text-card">Vous pourrez consultant l'état de votre réservation, ainsi que le temps restant dans le
                            petite encadré au-dessous de la carte.
                        </p>
                        <p class="text-card">
                            Bonne route, et à bientôt !!!
                        </p>
                    </figcaption>
                </figure>
            </div>

            <button class="button display-left" onclick="Slider.previousSlide()"><i class="fa fa-arrow-circle-left fa-lg"></i></button>
            <button class="button display-right" onclick="Slider.nextSlide()"><i class="fa fa-arrow-circle-right fa-lg"></i></button>

            <div id="bloc_marker" class="center">
                <button class="marker slider_btn slider_btn_active " onclick="Slider.showSlide(1);"></button>
                <button class="marker slider_btn "  onclick="Slider.showSlide(2);"></button>
                <button class="marker slider_btn "  onclick="Slider.showSlide(3);"></button>
                <button class="marker slider_btn "  onclick="Slider.showSlide(4);"></button>
            </div>

        </div> <!-- / #slideshow -->

        <!--MAP-->
        <div  id="map" class="col-lg-12 col-md-12 col-sm-12 col-xs-12"  title="map"></div>

        <!--Booking panel-->
        <aside id="booking_panel" class="col-md-3 col-sm-8 col-xs-12">
            <!-- API JCDecaux Information -->
            <div id="infosStation">
                <!-- Close button -->
                <button id="btn_close_booking_panel" class="btn btn-xs btn-danger">
                    <i class="glyphicon glyphicon-remove-sign"></i>
                </button>

                <h2>Station</h2>

                <div class="info_station">
                    <span class="info_station_key">Nom : </span>
                    <span id="station-name" class="info_station_value"></span>
                </div>
                <div class="info_station">
                    <span class="info_station_key">Adresse : </span>
                    <span id="station-address" class="info_station_value"></span>
                </div>
                <div class="info_station">
                    <span class="info_station_key">Vélo disponible : </span>
                    <span id="station-available-bikes" class="info_station_value"></span>
                </div>
                <div class="info_station">
                    <span class="info_station_key">Emplacement disponible : </span>
                    <span id="station-available-bike-stands" class="info_station_value"></span>
                </div>
                <hr>
                <p id="station-status"></p>
                <hr>
            </div><!-- /#infosStation -->

            <div id="booking">
                <h2>Réservation</h2>
                <form id="booking-form" name="myForm" action="index.html" method="post" >
                    <div id="form-group-name" class="">
                        <div id="label">
                            <label for="nom">
                                <span id="label-nom">Nom</span>
                                <span id="label-prenom">Prénom</span>
                            </label>
                        </div>
                        <div id="input-name">
                            <input id="nom"     type="text" name="nom"    required value="Delzongle" />
                            <input id="prenom"  type="text" name="prenom" required value="Joel" />
                        </div>
                    </div>
                    <div id="group-email" class="form-group">
                        <label for="email">E-mail :</label>
                        <input id="email" type="text"   name="email"  required value="joel.delzongle@gmail.com" />
                    </div>
                    <div id="group-signature" class="form-group">
                        <label for="signature">Signature</label>
                        <div id="signature">
                            <canvas id="canvas-sign" class="col-lg-12 col-md-3 col-sm-3 col-xs-10" width="300" height="130" ></canvas>
                            <input id="reset" type="reset" value="Réinitialiser" onclick="Canvas.reset()" />
                        </div>
                    </div>
                    <div id="form-btn-container" class="form-group">
                        <input type="button" id="btn_form_annuler" value="Annuler" />
                        <input type="submit" id="valider" value="Valider" />
                    </div>
                </form><!-- /#booking_form -->
            </div><!-- /#booking -->
        </aside><!-- /#booking_panel -->

    </section><!-- /.row -->

{% endblock %}



{% block footer %}
    {% include 'elements/__footer.html.twig' %}
{% endblock %}
